# Namespace: deployments

## CaskSDK.deployments

Contract deployment information.

### Example

    CaskSDK.deployments.CaskSubscriptions[CaskSDK.environments.TESTNET][CaskSDK.chains.POLYGON_MUMBAI.chainId]

### Members

#### (static, constant) deployments

##### Properties:

Name | Type | Description
--- | --- | ---
`CaskSubscriptions` |  | CaskSubscriptions contract address for a given environment/chain deployment.
`CaskSubscriptionPlans` |  | CaskSubscriptionPlans contract address for a given environment/chain deployment.
`CaskSubscriptionManager` |  |
`CaskVault` |  | CaskVault contract address for a given environment/chain deployment.
`CaskDCA` |  | CaskDCA contract address for a given environment/chain deployment.
`CaskDCAManager` |  |
`CaskP2P` |  | CaskDCA contract address for a given environment/chain deployment.
`CaskP2PManager` |  |
`CaskChainlinkTopup` |  | CaskChainlinkTopup contract address for a given environment/chain deployment.
`CaskChainlinkTopupManager` |  |
`CaskToken` |  |
`CaskAirdrop` |  |
`SubgraphUrl` |  | Subgraph URLs for a given environment/chain deployment.

### Methods

#### (static) isSupported(environment, chainId) → {boolean}

See if a given environment/chain pair is valid

##### Parameters:

Name | Type | Description
--- | --- | ---
`environment` |  |
`chainId` |  |

##### Returns:

Type
  boolean

#### (static) servicesAvailable(ethersConnection) → {Object}

Return a map of services and if they are available on the given ethersConnection (environment/chain)

##### Parameters:

Name | Type | Description
--- | --- | ---
`ethersConnection` |  |

##### Returns:

Type
  Object